
![c](https://03c8.net/images/euler_bricks_banner.png)

----------

#### Info:

 Problem: http://en.wikipedia.org/wiki/Euler_brick

 A "brick" is a cuboid where the length of all the edges are integers and all of the diagonals of the faces are integers as well. All sides must also be different.

 ![c](https://03c8.net/images/euler_bricks_example.gif)
 
 Euler-Bricks tries to calculate (brute-force) as many different "bricks" where the sides are less than X.

 To calculate a "brick" means to find the lengths of the edges and the lengths of the diagonals of the faces of a valid Euler's "brick".

 You can visualize plotting graphs with results, store math 'bricks' relationships (so the tool doesn't need to process again similar data) 
 and organized auto-save your results, for example, to be used on a future for BigData processing or AI maths solving tasks.

#### Installing:

 This tool runs on many platforms and it requires Python (3.x.y). To generate graphs, you need to install the following library:

       python3-matplotlib - Python based plotting system in a style similar to Matlab (Python 3)

 On Debian-based systems (ex: Ubuntu), run: 

       sudo apt-get install python3-matplotlib

 Or:

       pip3 install matplotlib

#### Executing:
  
  python3 euler-bricks

----------

####  Source libs:

 * PyMatplotlib: https://pypi.python.org/pypi/matplotlib

#### License:

 Euler-Bricks is released under the GPLv3.

#### Contact:

      - psy (epsylon@riseup.net)

#### Contribute: 

 To make donations use the following hash:
  
     - Bitcoin: 19aXfJtoYJUoXEZtjNwsah2JKN9CK5Pcjw

----------

####  Screenshots:

  ![c](https://03c8.net/images/euler_bricks_example.png)

  ![c](https://03c8.net/images/euler_bricks_example2.png)

